Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class BigBlockOperation

    java.lang.Object
      |
      +--uk.co.westhawk.examplev1.BigBlockOperation

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

public class BigBlockOperation
extends java.lang.Object
implements java.awt.event.ActionListener

The class BigBlockOperation tests the performance of the BlockPdu and SnmpContextPool by building a big (or long) SNMP request.

This class asks for the number of interfaces and builds a request asking all the interfaces in one request.

Version:
  $Revision: 1.2 $ $Date: 2002/10/22 16:36:26 $
Author:
  Birgit Arkesteijn
See Also:
  `BlockPdu`, `SnmpContextPool`, `IsHostReachableBean`, `propertyDialog`

Field Summary
`static java.lang.String` | `ifEntry`
`static java.lang.String` | `ifNumber`
`static int` | `noIfEntry`

Constructor Summary
`BigBlockOperation(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `init()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ifNumber

    public static final java.lang.String ifNumber

### ifEntry

    public static final java.lang.String ifEntry

### noIfEntry

    public static final int noIfEntry

Constructor Detail

### BigBlockOperation

    public BigBlockOperation(java.lang.String propertiesFilename)

  Constructor.
  Parameters:
    `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD